summaryrefslogtreecommitdiff
path: root/Master/tlpkg
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-07-02 18:23:28 +0000
committerKarl Berry <karl@freefriends.org>2008-07-02 18:23:28 +0000
commitd7f74c825c2e9d53dca5fc0441a825305297c34f (patch)
tree86bcb5ba3138222c54931b2228bafdd1f517d8dc /Master/tlpkg
parent19f58e5098cf443de58d21c46f277ff489457c4b (diff)
tweak archaic update to exclude phaistos and linearA, which are completely independent
git-svn-id: svn://tug.org/texlive/trunk@9170 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds26
1 files changed, 17 insertions, 9 deletions
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index ea4791cdeeb..84a5a99ed58 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -1823,7 +1823,8 @@ sub runfonts {
}
-sub SYSTEM {
+sub SYSTEM
+{
local ($job) = @_;
if ($opt_test) {
print "\t SYSTEM $job\n";
@@ -2590,15 +2591,15 @@ sub MAKEwilson
&setup;
my $docdir = "$DEST/doc/$whichdocformat/$package";
- chdir ($docdir) || die "chdir($docdir) failed: $!";
+ &xchdir ($docdir);
my $mapdir = "$DEST/fonts/map/dvips/$package";
-d $mapdir || &SYSTEM ("mkdir -p $mapdir");
&SYSTEM ("$MV *.map $mapdir"); # archaicprw.map
- opendir(DIR,'.') || die "opendir(.) failed: $!";
- @dirnames =grep(!/^\.\.?$/,readdir(DIR));
- closedir(DIR);
+ opendir (DIR, '.') || die "opendir(.) failed: $!";
+ @dirnames = grep (!/^\.\.?$/, readdir (DIR));
+ closedir (DIR);
for my $d (@dirnames) {
if ($d =~ /\.zip$/) {
@@ -2606,11 +2607,18 @@ sub MAKEwilson
next;
}
+ # phaistos and linearA are nothing to do with Wilson's archaic, but
+ # are separate packages created by AS.
+ if ($d =~ /^(phaistos|linearA)$/) {
+ &SYSTEM ("rm -rf $d $docdir/$d");
+ next;
+ }
+
my $target = "$docdir/$d";
next if ! -d $target; # samples/readme files
- print "PROCESS Wilson subdir $d\n";
- chdir ($target) || die "chdir($target) failed: $!";
-
+ print "\t PROCESS Wilson subdir $d\n";
+ &xchdir ($target);
+
if ($d) {
for my $f (glob ("try*"), glob ("*.pdf"), "README") {
my $dest = "$docdir/";
@@ -2621,7 +2629,7 @@ sub MAKEwilson
}
&buildfilelist;
-# run the .ins files (if any) supplied
+ # run the .ins files (if any) supplied
$inspatt = $specialins{$package};
&buildfilelist;
&runins($inspatt || $standardins);